#version 130

in vec2 texcoords;
out vec4 fragColor;

// The offset in UV coordinates for every blur sample.
uniform vec2 step;

// The image to blur.
uniform sampler2D image;

void main()
{
	float scale = 1.4;

	// Sample the image at 7 positions along the step direction and calculate
	// the final color using a gaussian kernel:
	// 0.0647, 0.1209, 0.1760, 0.1994, 0.1760, 0.1209, 0.0647 
	vec3 color = 
		0.0647 * texture(image, texcoords + step * -3.0 * scale).rgb +
		0.1209 * texture(image, texcoords + step * -2.0 * scale).rgb +
		0.1760 * texture(image, texcoords + step * -1.0 * scale).rgb +
		0.1994 * texture(image, texcoords + step *  0.0 * scale).rgb +
		0.1760 * texture(image, texcoords + step *  1.0 * scale).rgb +
		0.1209 * texture(image, texcoords + step *  2.0 * scale).rgb +
		0.0647 * texture(image, texcoords + step *  3.0 * scale).rgb;

	fragColor = vec4(color, 1.0);
}