#version 330

in vec2 texcoords;

out vec4 fragColor;

uniform sampler2D image;

void main()
{
	float threshold = 0.95;

	// Extract the bright spots from the image.
	vec3 color = texture(image, texcoords).rgb;
	color = clamp((color - threshold) / (1 - threshold), 0.0, 1.0);

	fragColor = vec4(color, 1.0);
}