#version 130

in vec2 inPosition;

out vec3 worldPosition;
out vec4 clipPosition;


// --------------------------
// GEOMETRY EFFECT PARAMETERS

uniform mat4 ViewProjectionMatrix;
uniform float WaterLevel;


float SideLength = 1000;

void main()
{
	// Scale the plane to cover the whole visible area.
	vec2 pos2 = inPosition * SideLength;

	// The texture coordinates should correspond to the world position of the
	// fragment.
	worldPosition = vec3(pos2, WaterLevel);

	// Bring the position to clip space.
	clipPosition = ViewProjectionMatrix * vec4(worldPosition, 1);
	gl_Position = clipPosition;
}